%define upstream_name    CGI-Compile
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Compile .cgi scripts to a code reference like ModPerl::Registry
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(File::pushd)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
CGI::Compile is a utility to compile CGI scripts into a code reference that
can run many times on its own namespace, as long as the script is ready to
run on a persistent environment.

*NOTE:* for best results, load the CGI::Compile manpage before any modules
used by your CGIs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.270.0-1.mga10
+ Revision: 2141836
- update to 0.27

* Sun Nov 10 2024 wally <wally> 0.260.0-1.mga10
+ Revision: 2113470
- imported package perl-CGI-Compile

